# LayerSchemaDateTimeAttribute

***

The schema for a datetime attribute on a layer.

## Properties

### id

> **id**: `string`

The unique identifier for this attribute.

This can be used to fetch statistics, categories, histograms etc. for this attribute\
via the [LayersController.getCategoryData](/js-sdk-api-reference/layers/layerscontroller.md#getcategorydata), [LayersController.getHistogramData](/js-sdk-api-reference/layers/layerscontroller.md#gethistogramdata),\
and [LayersController.getAggregates](/js-sdk-api-reference/layers/layerscontroller.md#getaggregates) methods.

***

### displayName

> **displayName**: `string`

The human-readable name of this attribute.

***

### detailedType

> **detailedType**: `string`

The specific data type of this attribute, providing more detail than the basic type.

For instance, a numeric attribute might be "INTEGER", "FLOAT, etc.

***

### distinctCount

> **distinctCount**: `number`

The number of distinct values present for this attribute across all features.

***

### type

> **type**: `"datetime"`

Indicates this is a datetime attribute.

***

### min

> **min**: `string`

The earliest datetime present for this attribute in ISO8601 format.

***

### max

> **max**: `string`

The latest datetime present for this attribute in ISO8601 format.

***

### sampleValues

> **sampleValues**: { `value`: `string`; `count`: `number`; }\[]

A representative sample of datetime values for this attribute and their frequency.

| Name    | Type     |
| ------- | -------- |
| `value` | `string` |
| `count` | `number` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.felt.com/js-sdk-api-reference/layers/layerschemadatetimeattribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
